Loading...
Searching...
No Matches
CxxTest::SuiteDescription Class Referenceabstract

`#include <Descriptions.h>`

## Public Member Functions

virtual | ~SuiteDescription ()
virtual const char * | file () const =0
virtual unsigned | line () const =0
virtual const char * | suiteName () const =0
virtual TestSuite * | suite () const =0
virtual unsigned | numTests () const =0
virtual const TestDescription & | testDescription (unsigned) const =0
virtual TestDescription * | firstTest ()=0
virtual const TestDescription * | firstTest () const =0
virtual SuiteDescription * | next ()=0
virtual const SuiteDescription * | next () const =0
virtual void | activateAllTests ()=0
virtual bool | leaveOnly (const char *)=0
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
virtual bool | setUp ()=0
virtual bool | tearDown ()=0
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 31 of file Descriptions.h.

## Constructor & Destructor Documentation

## ~SuiteDescription()

CxxTest::SuiteDescription::~SuiteDescription | ( |  | ) |

virtual

Definition at line 9 of file Descriptions.cpp.

{}

## Member Function Documentation

## activateAllTests()

virtual void CxxTest::SuiteDescription::activateAllTests | ( |  | ) |

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## file()

virtual const char * CxxTest::SuiteDescription::file | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## firstTest() [1/2]

virtual const TestDescription * CxxTest::SuiteDescription::firstTest | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## firstTest() [2/2]

virtual TestDescription * CxxTest::SuiteDescription::firstTest | ( |  | ) |

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## leaveOnly()

virtual bool CxxTest::SuiteDescription::leaveOnly | ( | const char * |  | ) |

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## line()

virtual unsigned CxxTest::SuiteDescription::line | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## next() [1/2]

virtual const SuiteDescription * CxxTest::SuiteDescription::next | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## next() [2/2]

virtual SuiteDescription * CxxTest::SuiteDescription::next | ( |  | ) |

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## numTests()

virtual unsigned CxxTest::SuiteDescription::numTests | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## suite()

virtual TestSuite * CxxTest::SuiteDescription::suite | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, CxxTest::DynamicSuiteDescription< S >, and CxxTest::StaticSuiteDescription.

## suiteName()

virtual const char * CxxTest::SuiteDescription::suiteName | ( |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

## testDescription()

virtual const TestDescription & CxxTest::SuiteDescription::testDescription | ( | unsigned |  | ) | const

pure virtual

Implemented in CxxTest::DummySuiteDescription, and CxxTest::RealSuiteDescription.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/Descriptions.h
- libpolys/tests/cxxtest/Descriptions.cpp